FEDORA-2019-de4581d1b3 created by error 2 years ago for Fedora 31
unpushed

Patch tests for pytest 5 compatibility (BZ#1705955)

This update has been submitted for testing by error.

2 years ago

This update's test gating status has been changed to 'waiting'.

2 years ago

This update's test gating status has been changed to 'ignored'.

2 years ago

This update has been pushed to testing.

2 years ago
User Icon lbalhar commented & provided feedback 2 years ago
karma

It builds so it solves the pytest incompatibility but the update is not generally functional and it also does not solve the second bug because it contains version 1.24.1 and not 1.25.0-rc2.

# rpm -qi docker-compose | head -n 2
Name        : docker-compose
Version     : 1.24.1

# docker-compose --version
Traceback (most recent call last):
  File "/usr/lib/python3.7/site-packages/pkg_resources/__init__.py", line 2732, in requires
    deps.extend(dm[safe_extra(ext)])
KeyError: 'ssh'

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/usr/bin/docker-compose", line 6, in <module>
    from pkg_resources import load_entry_point
  File "/usr/lib/python3.7/site-packages/pkg_resources/__init__.py", line 3241, in <module>
    @_call_aside
  File "/usr/lib/python3.7/site-packages/pkg_resources/__init__.py", line 3225, in _call_aside
    f(*args, **kwargs)
  File "/usr/lib/python3.7/site-packages/pkg_resources/__init__.py", line 3254, in _initialize_master_working_set
    working_set = WorkingSet._build_master()
  File "/usr/lib/python3.7/site-packages/pkg_resources/__init__.py", line 583, in _build_master
    ws.require(__requires__)
  File "/usr/lib/python3.7/site-packages/pkg_resources/__init__.py", line 900, in require
    needed = self.resolve(parse_requirements(requirements))
  File "/usr/lib/python3.7/site-packages/pkg_resources/__init__.py", line 794, in resolve
    new_requirements = dist.requires(req.extras)[::-1]
  File "/usr/lib/python3.7/site-packages/pkg_resources/__init__.py", line 2735, in requires
    "%s has no such extra feature %r" % (self, ext)
pkg_resources.UnknownExtra: docker 4.0.1 has no such extra feature 'ssh'
[root@a12a3b7f1b94 /]# docker-compose --help
Traceback (most recent call last):
  File "/usr/lib/python3.7/site-packages/pkg_resources/__init__.py", line 2732, in requires
    deps.extend(dm[safe_extra(ext)])
KeyError: 'ssh'

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/usr/bin/docker-compose", line 6, in <module>
    from pkg_resources import load_entry_point
  File "/usr/lib/python3.7/site-packages/pkg_resources/__init__.py", line 3241, in <module>
    @_call_aside
  File "/usr/lib/python3.7/site-packages/pkg_resources/__init__.py", line 3225, in _call_aside
    f(*args, **kwargs)
  File "/usr/lib/python3.7/site-packages/pkg_resources/__init__.py", line 3254, in _initialize_master_working_set
    working_set = WorkingSet._build_master()
  File "/usr/lib/python3.7/site-packages/pkg_resources/__init__.py", line 583, in _build_master
    ws.require(__requires__)
  File "/usr/lib/python3.7/site-packages/pkg_resources/__init__.py", line 900, in require
    needed = self.resolve(parse_requirements(requirements))
  File "/usr/lib/python3.7/site-packages/pkg_resources/__init__.py", line 794, in resolve
    new_requirements = dist.requires(req.extras)[::-1]
  File "/usr/lib/python3.7/site-packages/pkg_resources/__init__.py", line 2735, in requires
    "%s has no such extra feature %r" % (self, ext)
pkg_resources.UnknownExtra: docker 4.0.1 has no such extra feature 'ssh'

It seems that the Python Docker SDK has some extra functionalities like docker[tls] or docker[ssh] and the later one is not available. https://pypi.org/project/docker/

BZ#1691898 docker-compose-1.25.0-rc2 is available
BZ#1705955 docker-compose FTBFS with pytest 4

Bodhi is disabling automatic push to stable due to negative karma. The maintainer may push manually if they determine that the issue is not severe.

2 years ago

This update can be pushed to stable now if the maintainer wishes

2 years ago
karma

This update's test gating status has been changed to 'greenwave_failed'.

2 years ago

This update's test gating status has been changed to 'ignored'.

2 years ago

This update has been unpushed.


Please login to add feedback.

Metadata
Type
bugfix
Karma
-2
Signed
Content Type
RPM
Test Gating
Settings
Unstable by Karma
-3
Stable by Karma
disabled
Stable by Time
disabled
Dates
submitted
2 years ago
in testing
2 years ago
BZ#1691898 docker-compose-1.25.0-rc2 is available
-1
0
BZ#1705955 docker-compose FTBFS with pytest 4
0
1

Automated Test Results